## python-pecan 1.4.2

=== debian/changelog ===
python-pecan (1.4.2-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/no-intersphinx.patch: Dropped, but Debian still has it
    - d/p/remove-broken-test.patch: Dropped, but Debian still has it
    - d/gbp.conf: Retain for gbp and pristine-tar config
    - d/watch: Update based on move to https://github.com/pecan/pecan
    - d/control: Align (Build-)Depends with upstream
    - d/control: point Vcs- fields to launchpad
    - drop wrong pre/postrm scripts that handle pecan as an alternative when
      it no longer is

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 01 Nov 2023 12:57:53 -0400

python-pecan (1.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:16:23 +0200

python-pecan (1.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-webtest from depends.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:26:04 +0200

python-pecan (1.4.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1045361).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 11:22:37 +0200

python-pecan (1.4.1-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable, LP: #1987701. Remaining changes:
    - d/p/no-intersphinx.patch: Dropped, but Debian still has it.
    - d/p/remove-broken-test.patch: Dropped, but Debian still has it.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Update based on move to https://github.com/pecan/pecan.
    - d/control: Align (Build-)Depends with upstream.
    - drop wrong pre/postrm scripts that handle pecan as an alternative when
      it no longer is.
  * Dropped changes, included upstream:
    - debian/patches/fix-tests-on-python-3.10.patch: Pull in upstream patch
      to fix build tests on python3.10

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 25 Aug 2022 15:35:26 -0400

=== debian/control ===
Source: python-pecan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gunicorn,
 python3-genshi,
 python3-gunicorn,
 python3-jinja2,
 python3-kajiki,
 python3-logutils (>= 0.3),
 python3-mako (>= 0.4.0),
 python3-markupsafe,
 python3-mock,
 python3-pytest,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-sqlalchemy,
 python3-unittest2,
 python3-virtualenv,
 python3-webob (>= 1:1.2dev),
 python3-webtest (>= 1.3.1),
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
Homepage: https://pypi.python.org/pypi/pecan
Testsuite: autopkgtest-pkg-python

Package: python-pecan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: WSGI object-dispatching web framework
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the pecan documentation.

Package: python3-pecan
Architecture: all
Depends:
 python3-logutils (>= 0.3),
 python3-mako (>= 0.4.0),
 python3-markupsafe,
 python3-simplegeneric,
 python3-singledispatch,
 python3-six,
 python3-webob (>= 1:1.2dev),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pecan-doc,
Description: WSGI object-dispatching web framework - Python 3.x
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 This package contains the Python 3.x module.

## python-pecan 1.5.1

=== requirements.txt ===
WebOb>=1.8
Mako>=0.4.0
setuptools
logutils>=0.3

=== debian/changelog ===
python-pecan (1.5.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Drop (Build-)Depends on six.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Feb 2024 10:50:29 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  python3-pytest,
  python3-simplegeneric,
  python3-singledispatch,
- python3-six,
  python3-sqlalchemy,
  python3-unittest2,
  python3-virtualenv,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pecan/pecan.git
include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info
	find .  -type d -name __pycache__ -exec rm -r {} \+
	rm -rf .pytest_cache

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest pecan/tests -v ; \
	done
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	echo "Do not run tests here..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx docs/source $(CURDIR)/debian/python-pecan-doc/usr/share/doc/python-pecan-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
https://github.com/pecan/pecan/tags .*/(\d[\d\.]+)\.tar\.gz

## python-pecan 1.7.0

=== debian/changelog ===
python-pecan (1.7.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Tue, 26 Aug 2025 10:43:34 +0000

python-pecan (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed logutils from (b-)d.
  * Rebased use-raw-strings-to-avoid-py3.12-warning.patch.
  * Refreshed remove-setuptools-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 12:36:28 +0200

python-pecan (1.5.1-6) unstable; urgency=medium

  * Removed python3-pkg-resources from depends (Closes: #1083678).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:10:29 +0200

python-pecan (1.5.1-5) unstable; urgency=medium

  * Removed python3-singledispatch from (build-)depends (Closes: #1081802).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 13:36:15 +0200

python-pecan (1.5.1-4) unstable; urgency=medium

  * Add use-raw-strings-to-avoid-py3.12-warning.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jul 2024 02:46:28 +0200

python-pecan (1.5.1-3) unstable; urgency=medium

  * Removed python3-mock build-depends (Closes: #1072294).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 11:37:14 +0200

python-pecan (1.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:22:12 +0200

python-pecan (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches, and simply blacklist tests in d/rules instead.
  * Add autopktest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 10:02:28 +0100

python-pecan (1.4.2-3) unstable; urgency=medium

  * Removed extraneous stale python3-unittest2 build-dep (Closes: #1060641).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 17:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-pecan
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -18,21 +17,17 @@
  python3-gunicorn,
  python3-jinja2,
  python3-kajiki,
- python3-logutils (>= 0.3),
- python3-mako (>= 0.4.0),
+ python3-mako,
  python3-markupsafe,
- python3-mock,
  python3-pytest,
  python3-simplegeneric,
- python3-singledispatch,
  python3-sqlalchemy,
- python3-unittest2,
  python3-virtualenv,
- python3-webob (>= 1:1.2dev),
- python3-webtest (>= 1.3.1),
+ python3-webob,
+ python3-webtest,
 Standards-Version: 4.1.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-pecan
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pecan
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pecan.git
 Homepage: https://pypi.python.org/pypi/pecan
 Testsuite: autopkgtest-pkg-python
 
@@ -59,13 +54,10 @@
 Package: python3-pecan
 Architecture: all
 Depends:
- python3-logutils (>= 0.3),
- python3-mako (>= 0.4.0),
+ python3-mako,
  python3-markupsafe,
  python3-simplegeneric,
- python3-singledispatch,
- python3-six,
- python3-webob (>= 1:1.2dev),
+ python3-webob,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
